Bitcoin transactions
Broadcast Signed Bitcoin Transaction
Broadcasts a signed Bitcoin transaction that was originally produced from a transfer or cross-swap quote. The endpoint validates that the quote exists and that the signed transaction matches the previously generated quote, then publishes the transaction to the Bitcoin network. The associated transaction is recorded in the history of that wallet.
x-api-key<token>
In: header
quoteIdstring
Unique identifier for the Bitcoin quote, returned by the transfer or cross-swap creation endpoint.
Match
^0x[a-fA-F0-9]{64}$signedTransactionHexstring
The signed Bitcoin transaction in hex format. The unsigned transaction id (signature-agnostic) must match the quoteId.
Match
^0x([a-fA-F0-9]{2})*$Response Body
curl -X POST "https://api.notus.team/api/v1/crypto/bitcoin/broadcast" \ -H "Content-Type: application/json" \ -d '{ "quoteId": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1", "signedTransactionHex": "0x0200000000010138..." }'{
"quoteId": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1",
"transactionHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1"
}{
"statusCode": 400,
"id": "EXPIRED_BITCOIN_QUOTE",
"message": "Your Bitcoin quote has expired. Please, request a new one."
}{
"statusCode": 403,
"id": "UNAVAILABLE_COMPUTE_UNITS",
"message": "The project doesn't have enough compute units to perform this action. Please upgrade your plan."
}{
"statusCode": 404,
"id": "BITCOIN_QUOTE_NOT_FOUND",
"message": "Could not find the Bitcoin quote requested"
}{
"statusCode": 500,
"id": "FAILED_TO_BROADCAST_TRANSACTION_EXCEPTION",
"message": "Failed to broadcast transaction"
}